# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

# NOTE! THIS FILE IS AUTOMATICALLY GENERATED AND WILL BE
# OVERWRITTEN WHEN PREPARING PACKAGES.
#
# IF YOU WANT TO MODIFY IT, YOU SHOULD MODIFY THE TEMPLATE
# `get_provider_info_TEMPLATE.py.jinja2` IN the `provider_packages` DIRECTORY


def get_provider_info():
    return {
        'package-name': 'apache-airflow-providers-google',
        'name': 'Google',
        'description': 'Google services including:\n\n  - `Google Ads <https://ads.google.com/>`__\n  - `Google Cloud (GCP) <https://cloud.google.com/>`__\n  - `Google Firebase <https://firebase.google.com/>`__\n  - `Google LevelDB <https://github.com/google/leveldb/>`__\n  - `Google Marketing Platform <https://marketingplatform.google.com/>`__\n  - `Google Workspace <https://workspace.google.pl/>`__ (formerly Google Suite)\n',
        'versions': ['3.0.0', '2.2.0', '2.1.0', '2.0.0', '1.0.0'],
        'hook-class-names': [
            'airflow.providers.google.common.hooks.base_google.GoogleBaseHook',
            'airflow.providers.google.cloud.hooks.dataprep.GoogleDataprepHook',
            'airflow.providers.google.cloud.hooks.cloud_sql.CloudSQLHook',
            'airflow.providers.google.cloud.hooks.cloud_sql.CloudSQLDatabaseHook',
            'airflow.providers.google.cloud.hooks.compute_ssh.ComputeEngineSSHHook',
            'airflow.providers.google.cloud.hooks.bigquery.BigQueryHook',
            'airflow.providers.google.leveldb.hooks.leveldb.LevelDBHook',
        ],
        'extra-links': [
            'airflow.providers.google.cloud.operators.bigquery.BigQueryConsoleLink',
            'airflow.providers.google.cloud.operators.bigquery.BigQueryConsoleIndexableLink',
            'airflow.providers.google.cloud.operators.mlengine.AIPlatformConsoleLink',
        ],
    }
